## cascading.tuple
Class TupleEntryIterator

    java.lang.Object
      cascading.tuple.TupleEntryIterator

All Implemented Interfaces:
  Iterator<TupleEntry>

    public class TupleEntryIterator

extends Object
implements Iterator<TupleEntry>

Class TupleEntryIterator provides an efficient Iterator for returning `TupleEntry` elements in an underlying `Tuple` collection.

Constructor Summary
`TupleEntryIterator(Fields fields, Iterator... iterators)` Constructor TupleEntryIterator creates a new TupleEntryIterator instance.

Method Summary
`void` `close()` Method close closes all underlying resources.
`Fields` `getFields()` Method getFields returns the fields of this TupleEntryIterator object.
`TupleEntry` `getTupleEntry()` Method getTupleEntry returns the entry of this TupleEntryIterator object.
`boolean` `hasNext()` Method hasNext returns true if there is a next TupleEntry
`TupleEntry` `next()` Method next returns the next TupleEntry.
`void` `remove()` Method remove removes the current TypleEntry from the underlying collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleEntryIterator

    public TupleEntryIterator(Fields fields,
                              Iterator... iterators)

  Constructor TupleEntryIterator creates a new TupleEntryIterator instance.

  Parameters:
    `fields` - of type Fields
    `iterators` - of type Iterator

Method Detail

### getFields

    public Fields getFields()

  Method getFields returns the fields of this TupleEntryIterator object.

  Returns:
    the fields (type Fields) of this TupleEntryIterator object.

### getTupleEntry

    public TupleEntry getTupleEntry()

  Method getTupleEntry returns the entry of this TupleEntryIterator object.

  Since TupleEntry instances are re-used, this entry will inherit a new Tuple on every `next()` call.

  Returns:
    the entry (type TupleEntry) of this TupleEntryIterator object.

### hasNext

    public boolean hasNext()

  Method hasNext returns true if there is a next TupleEntry

  Specified by:
    `hasNext` in interface `Iterator<TupleEntry>`
  Returns:
    boolean

### next

    public TupleEntry next()

  Method next returns the next TupleEntry.

  Specified by:
    `next` in interface `Iterator<TupleEntry>`
  Returns:
    TupleEntry

### remove

    public void remove()

  Method remove removes the current TypleEntry from the underlying collection.

  Specified by:
    `remove` in interface `Iterator<TupleEntry>`

### close

    public void close()

  Method close closes all underlying resources.

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.